EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
EPD_COG_process_V110.c File Reference

The waveform driving processes and updating stages of G1 COG with V110 EPD. More...

`#include "EPD_COG_process.h"`

## Functions
void | EPD_init (void)
| Initialize the EPD hardware setting.
void | COG_driver_EPDtype_select (uint8_t EPD_type_index)
| Select the EPD size to get line data array for driving COG. More...
void | EPD_power_on (void)
| Power on COG Driver. More...
uint8_t | EPD_initialize_driver (uint8_t EPD_type_index)
| Initialize COG Driver. More...
void | EPD_display_from_array_prt (uint8_t EPD_type_index, uint8_t *previous_image_ptr, uint8_t *new_image_ptr)
| Write image data from memory array to the EPD. More...
void | EPD_display_from_flash_prt (uint8_t EPD_type_index, long previous_image_flash_address, long new_image_flash_address, EPD_read_flash_handler On_EPD_read_flash)
| Write image data from Flash memory to the EPD. More...
uint8_t | EPD_power_off (uint8_t EPD_type_index)
| Power Off COG Driver. More...

## Variables
struct COG_parameters_t | COG_parameters [COUNT_OF_EPD_TYPE]
| The COG parameters of different EPD size.
const uint16_t | temperature_table [3][8]
const uint8_t | SCAN_TABLE [4] = {0xC0,0x30,0x0C,0x03}

## Detailed Description

The waveform driving processes and updating stages of G1 COG with V110 EPD.

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

void COG_driver_EPDtype_select | ( | uint8_t | EPD_type_index | ) |

Select the EPD size to get line data array for driving COG.

Parameters

  EPD_type_index | The defined EPD size

void EPD_display_from_array_prt | ( | uint8_t | EPD_type_index,
|  | uint8_t * | previous_image_ptr,
|  | uint8_t * | new_image_ptr
| ) |  |

Write image data from memory array to the EPD.

Note
  For more detail on driving stages, please refer to COG document Section 5.

Parameters

  EPD_type_index | The defined EPD size
  previous_image_ptr | The pointer of memory that stores previous image
  new_image_ptr | The pointer of memory that stores new image

void EPD_display_from_flash_prt | ( | uint8_t | EPD_type_index,
|  | long | previous_image_flash_address,
|  | long | new_image_flash_address,
|  | EPD_read_flash_handler | On_EPD_read_flash
| ) |  |

Write image data from Flash memory to the EPD.

Parameters

  EPD_type_index | The defined EPD size
  previous_image_flash_address | The previous image address of flash memory
  new_image_flash_address | The new image address of flash memory
  On_EPD_read_flash | Developer needs to create an external function to read flash

uint8_t EPD_initialize_driver | ( | uint8_t | EPD_type_index | ) |

Initialize COG Driver.

Note
  For detailed flow and description, please refer to the COG document Section 4.

Parameters

  EPD_type_index | The defined EPD size

uint8_t EPD_power_off | ( | uint8_t | EPD_type_index | ) |

Power Off COG Driver.

Note
  For detailed flow and description, please refer to the COG document Section 6.

Parameters

  EPD_type_index | The defined EPD size

void EPD_power_on | ( | void |  | ) |

Power on COG Driver.

Note
  For detailed flow and description, please refer to the COG document Section 3.

## Variable Documentation

const uint16_t temperature_table[3][8]

Initial value:
= {
{(480*17),(480*12),(480*8),(480*4),(480*3),(480*2),(480*1),(480*0.7)},
{(480*17),(480*12),(480*8),(480*4),(480*3),(480*2),(480*1),(480*0.7)},
{(630*17),(630*12),(630*8),(630*4),(630*3),(630*2),(630*1),(630*0.7)},
}